Show / Hide Table of Contents

# Struct ShaderNode

##### Inherited Members

System.ValueType.Equals(System.Object)
System.ValueType.GetHashCode()
System.ValueType.ToString()
System.Object.Equals(System.Object, System.Object)
System.Object.GetType()
System.Object.ReferenceEquals(System.Object, System.Object)

###### Namespace: FFXIVClientStructs.FFXIV.Client.Graphics.Kernel

###### Assembly: FFXIVClientStructs.dll

##### Syntax

    public struct ShaderNode

### Fields

| Improve this Doc View Source

#### OwnerPackage

##### Declaration

    public ShaderPackage*OwnerPackage

##### Field Value

Type | Description
--- | ---
ShaderPackage* |

| Improve this Doc View Source

#### Passes

##### Declaration

    public ShaderNode.ShaderPass*Passes

##### Field Value

Type | Description
--- | ---
ShaderNode.ShaderPass* |

| Improve this Doc View Source

#### PassIndices

##### Declaration

    public byte *PassIndices

##### Field Value

Type | Description
--- | ---
System.Byte* |

| Improve this Doc View Source

#### PassNum

##### Declaration

    public uint PassNum

##### Field Value

Type | Description
--- | ---
System.UInt32 |

| Improve this Doc View Source

#### ShaderKeys

##### Declaration

    public uint *ShaderKeys

##### Field Value

Type | Description
--- | ---
System.UInt32* |

| Improve this Doc View Source

#### vtbl

##### Declaration

    public void *vtbl

##### Field Value

Type | Description
--- | ---
System.Void* |